# MPI_Op_commutative

## NAME

MPI_Op_commutative − Queries a reduction operation for its commutativity.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Op_commutative(MPI_Op op, int *commute)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_Op_commutative(OP, COMMUTE, IERROR)

| LOGICAL |  |  | COMMUTE
| INTEGER |  |  | OP, IERROR

## C++ Syntax

#include <mpi.h>
bool Op::Is_commutative() const

## INPUT PARAMETERS

| op |  | Operation (handle). |

## OUTPUT PARAMETERS

| commute |  | True if commutative; false otherwise. |
| IERROR |  | Fortran only: Error status (integer). |

## FOR MORE INFORMATION

For more information, see page 177 of the MPI 2.2 standard.

MPI API Index